Subject: Re: [PATCH 2.6.22] TCP: Make TCP_RTO_MAX a variable (take 2)

From: Rick Jones <[email-masked]>
Date: Mon, 23 Jul 2007 11:40:00 -0700

David Miller wrote:
> From: Rick Jones <[email-masked]>
> Date: Fri, 13 Jul 2007 09:55:10 -0700
> 
> 
>>Fine, but so?  I suspect the point of the patch is to provide a
>>lower cap on the accumulated backoff so data starts flowing over the
>>connection within that lower cap once the link is
>>restored/failed-over.
> 
> 
> The backoff is there for a reason.

I'm not disputing the general value of the backoff, nor about the value of an 
initial value of 60 seconds.  In terms of avoiding congestive collapse one does 
indeed want the exponential backoff.  I'm just in agreement with the person from 
Hitachi that allowing someone to tweak the backoff has a certain value.

60 seconds is already a trade-off between a pure (non capped) exponential 
backoff and capping the value.

rick